DragonFly BSD
DragonFly users List (threaded) for 2005-08
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: postgresql80 (was: Re: best autoconf for DragonFly?)

To: "Jeremy C. Reed" <reed@xxxxxxxxxxxxx>
From: Tomaž Borštnar <tomaz.borstnar@xxxxxxxx>
Date: Wed, 24 Aug 2005 10:28:01 +0200

Jeremy C. Reed wrote:
Replying to two emails below ...

Tomaz Borstnar wrote:

checking which template to use... configure: error: 'dragonfly' is not a
valid template name. Use 'list' for a list.

How did you apply my patch?

cd /usr/pkgsrc patch < pkgsrc-databases-postgresql80.diff

it went fine. But then I did according to your advice to go to postgresql80-server and build it.

This is different, because you should see lines like:

/bin/cp /home/reed/pkgsrc/databases/postgresql80-client/work/postgresql-8.0.3/src/makefiles/Makefile.freebsd /home/reed/pkgsrc/databases/postgresql80-client/work/postgresql-8.0.3/src/makefiles/Makefile.dragonfly


checking which template to use... dragonfly
pkgsrc wanted to compile postgresql80-client first (before server) which caused this error.

On 23 Aug 2005, Thomas E. Spanjaard wrote:
Looks like the autoconf/automake/libtool version used in this release of
postgresql8 is not familiar with DragonFlyBSD yet. This causes problems
I already patched it before I asked for help:
See http://leaf.dragonflybsd.org/mailarchive/users/2005-08/msg00259.html

I assume that Tomaz didn't apply the patch or I accidently missed something in my patch as linked from above URL.

I took pkgsrc.tar.gz as of Aug 13 again and did not update it via cvs and reapplied your patch. I went into postgresql80-client and bmake there. So far it looks fine, configure went OK and it is compiling right now.


[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]